/**
 * DevExtreme (cjs/__internal/grids/tree_list/module_columns_controller.js)
 * Version: 22.1.9
 * Build date: Tue Apr 18 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var __importDefault = this && this.__importDefault || function(mod) {
    return mod && mod.__esModule ? mod : {
        default: mod
    }
};
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.ColumnsController = void 0;
var type_1 = require("../../../core/utils/type");
var ui_grid_core_columns_controller_1 = require("../../../ui/grid_core/ui.grid_core.columns_controller");
var module_core_1 = __importDefault(require("./module_core"));
exports.ColumnsController = ui_grid_core_columns_controller_1.columnsControllerModule.controllers.columns.inherit({
    _getFirstItems: function(dataSourceAdapter) {
        return this.callBase(dataSourceAdapter).map((function(node) {
            return node.data
        }))
    },
    getFirstDataColumnIndex: function() {
        var visibleColumns = this.getVisibleColumns();
        var visibleColumnsLength = visibleColumns.length;
        var firstDataColumnIndex = 0;
        for (var i = 0; i <= visibleColumnsLength - 1; i++) {
            if (!type_1.isDefined(visibleColumns[i].command)) {
                firstDataColumnIndex = visibleColumns[i].index;
                break
            }
        }
        return firstDataColumnIndex
    }
});
module_core_1.default.registerModule("columns", {
    defaultOptions: ui_grid_core_columns_controller_1.columnsControllerModule.defaultOptions,
    controllers: {
        columns: exports.ColumnsController
    }
});
